Subject: Re: bug#37004: 27.0.50; Add `nlistp' to `pcase-mutually-exclusive-predicates'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Jan 2021 19:30:59 +0100

Stefan Monnier <[email-masked]> writes:

>>> Not a bug, but pcase should treat nlistp as mutually exclusive to
>>> consp, listp etc.
>> I guess that makes sense, but nlistp is a little-used predicate (there's
>> a couple dozen usages in Emacs), so I don't know whether adding it would
>> be helpful.  Stefan?
>
> No idea either, if someone wants to add it, be my guest,

There didn't seem to be much enthusiasm for this, so I'm closing this
feature request.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no